org.apache.felix.gogo.jline

## Class ParsedLineImpl

- java.lang.Object
- - org.apache.felix.gogo.jline.ParsedLineImpl

All Implemented Interfaces:
  org.jline.reader.CompletingParsedLine, org.jline.reader.ParsedLine

    public class ParsedLineImpl
    extends Object
    implements org.jline.reader.CompletingParsedLine

### Constructor Summary

Constructors
Constructor and Description
`ParsedLineImpl(org.apache.felix.gogo.runtime.Parser.Program program, org.apache.felix.gogo.runtime.Token line, int cursor, List<org.apache.felix.gogo.runtime.Token> tokens)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `cursor()`
`CharSequence` `escape(CharSequence str, boolean complete)`
`String` `line()`
`org.apache.felix.gogo.runtime.Parser.Program` `program()`
`int` `rawWordCursor()`
`int` `rawWordLength()`
`String` `word()`
`int` `wordCursor()`
`int` `wordIndex()`
`List<String>` `words()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParsedLineImpl

    public ParsedLineImpl(org.apache.felix.gogo.runtime.Parser.Program program,
                          org.apache.felix.gogo.runtime.Token line,
                          int cursor,
                          List<org.apache.felix.gogo.runtime.Token> tokens)

### Method Detail

#### word

    public String word()

Specified by:
  `word` in interface `org.jline.reader.ParsedLine`

#### wordCursor

    public int wordCursor()

Specified by:
  `wordCursor` in interface `org.jline.reader.ParsedLine`

#### wordIndex

    public int wordIndex()

Specified by:
  `wordIndex` in interface `org.jline.reader.ParsedLine`

#### words

    public List<String> words()

Specified by:
  `words` in interface `org.jline.reader.ParsedLine`

#### line

    public String line()

Specified by:
  `line` in interface `org.jline.reader.ParsedLine`

#### cursor

    public int cursor()

Specified by:
  `cursor` in interface `org.jline.reader.ParsedLine`

#### program

    public org.apache.felix.gogo.runtime.Parser.Program program()

#### rawWordCursor

    public int rawWordCursor()

Specified by:
  `rawWordCursor` in interface `org.jline.reader.CompletingParsedLine`

#### rawWordLength

    public int rawWordLength()

Specified by:
  `rawWordLength` in interface `org.jline.reader.CompletingParsedLine`

#### escape

    public CharSequence escape(CharSequence str,
                               boolean complete)

Specified by:
  `escape` in interface `org.jline.reader.CompletingParsedLine`